[153954] users/devans/GNOME-3/stable/dports/gnome

devans at macports.org devans at macports.org
Mon Oct 17 00:36:33 CEST 2016


Revision: 153954
          https://trac.macports.org/changeset/153954
Author:   devans at macports.org
Date:     2016-10-16 15:36:33 -0700 (Sun, 16 Oct 2016)
Log Message:
-----------
GNOME-3/stable: evolution, new port from gwhitney at ... for testing (#52281).

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/evolution/
    users/devans/GNOME-3/stable/dports/gnome/evolution/Portfile
    users/devans/GNOME-3/stable/dports/gnome/evolution/files/
    users/devans/GNOME-3/stable/dports/gnome/evolution/files/autogen.sh
    users/devans/GNOME-3/stable/dports/gnome/evolution/files/patch-configure.ac.diff

Added: users/devans/GNOME-3/stable/dports/gnome/evolution/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution/Portfile	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution/Portfile	2016-10-16 22:36:33 UTC (rev 153954)
@@ -0,0 +1,82 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+
+name                evolution
+version             3.22.1
+set branch          [join [lrange [split ${version} .] 0 1] .]
+description         Email, calendar, todo client for GNOME.
+long_description    Evolution is the former flagship email, calendar, todo, \
+                    and personal organizer for the GNOME Desktop. \
+                    Thanks to cal at .. and devans at .. for help with creating this port.
+maintainers         gwhitney openmaintainer
+categories          gnome
+license             LGPL-2+
+platforms           darwin
+homepage            https://wiki.gnome.org/Apps/Evolution
+master_sites        gnome:sources/${name}/${branch}/
+
+use_xz              yes
+
+checksums           rmd160 b648075002d23eb46f3e1db5c257c39021ad5014 \
+                    sha256 fa652d830f4185c33666770e6e9cfcc39d5e2f09486bbd63a084f3527064e52e
+
+depends_build       port:pkgconfig \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool \
+                    port:intltool \
+                    port:gtk-doc \
+                    port:gnome-common \
+                    port:yelp-tools \
+                    port:yelp
+
+depends_lib         port:evolution-data-server \
+                    port:gnome-autoar \
+                    port:libcanberra \
+                    port:libiconv \
+                    port:gtkspell3 \
+                    port:highlight \
+                    port:libpst
+
+depends_run         port:gnome-keyring
+
+patchfiles          patch-configure.ac.diff
+
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
+configure.args      --with-nspr-includes=${prefix}/include/nspr  \
+                    --with-nspr-libs=${prefix}/lib/nspr  \
+                    --with-nss-includes=${prefix}/include/nss \
+                    --with-nss-libs=${prefix}/lib/nss \
+                    --with-help \
+                    --disable-libcryptui \
+                    --disable-schemas-compile
+configure.post_args --enable-gnome-desktop=no
+
+
+variant x11 {
+    depends_lib-append port:gnome-desktop
+    configure.post_args
+}
+
+default_variants    +x11
+
+#
+# port nss is not universal
+#
+
+universal_variant   no
+
+post-activate    {
+    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+}
+
+livecheck.type      gnome


Property changes on: users/devans/GNOME-3/stable/dports/gnome/evolution/Portfile
___________________________________________________________________
Added: svn:keywords
   + Id
Added: svn:eol-style
   + native

Added: users/devans/GNOME-3/stable/dports/gnome/evolution/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution/files/autogen.sh	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution/files/autogen.sh	2016-10-16 22:36:33 UTC (rev 153954)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/ChangeLog \
+  && test -d $srcdir/shell) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level evolution directory"
+    exit 1
+}
+
+olddir=`pwd`
+cd $srcdir
+
+check_exists() {
+	variable=`which $1`
+
+	if test -z $variable; then
+		echo "*** No $1 found, please intall it ***" >&2
+		exit 1
+	fi
+}
+
+check_exists aclocal
+check_exists autoreconf
+check_exists gtkdocize
+check_exists intltoolize
+
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+	mkdir -p $m4dir
+fi
+
+aclocal -I m4 || exit $?
+gtkdocize --copy || exit $?
+intltoolize --force --copy --automake || exit $?
+autoreconf --verbose --force --install -Wno-portability || exit $?
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" --enable-maintainer-mode "$@"

Added: users/devans/GNOME-3/stable/dports/gnome/evolution/files/patch-configure.ac.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/evolution/files/patch-configure.ac.diff	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/evolution/files/patch-configure.ac.diff	2016-10-16 22:36:33 UTC (rev 153954)
@@ -0,0 +1,13 @@
+--- configure.ac.orig	2016-10-16 11:27:36.000000000 -0400
++++ configure.ac	2016-10-16 11:28:48.000000000 -0400
+@@ -135,8 +135,8 @@
+ 
+ dnl This must stay after AC_CANONICAL_HOST, which defines $host.
+ case "$host" in
+-*openbsd*|*freebsd*)
+-	dnl Do not set '-Wl,--no-undefined' on freebsd/openbsd
++*openbsd*|*freebsd*|*darwin*)
++	dnl Do not set '-Wl,--no-undefined' on freebsd/openbsd/darwin
+ 	;;
+ *)
+ 	LDFLAGS="$LDFLAGS -Wl,--no-undefined"
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macports.org/pipermail/macports-changes/attachments/20161016/b3dabeae/attachment-0002.html>


More information about the macports-changes mailing list